> ## Documentation Index
> Fetch the complete documentation index at: https://docs.prismapi.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Profile

> Returns the profile for a specific token.



## OpenAPI

````yaml post /v1/solana/dex/profiles/tokens/get-profile
openapi: 3.1.0
info:
  version: 1.0.1
  title: Prism API v1
servers:
  - url: https://refract.prismapi.io
    x-fern-server-name: production
security: []
paths:
  /v1/solana/dex/profiles/tokens/get-profile:
    post:
      tags:
        - Solana DEX
      summary: Get Profile
      description: Returns the profile for a specific token.
      operationId: getTokenProfile
      requestBody:
        content:
          application/json:
            schema:
              type: object
              required:
                - token
              properties:
                token:
                  description: Token address to retrieve the profile for.
                  type: string
                options:
                  $ref: '#/components/schemas/SolanaDexTokenProfilePayloadOptions'
            examples:
              default:
                value:
                  token: Z4d9YXR4pSkdKcu9UBcwxHp7i32buzdDtAR1b1Gbonk
                  options:
                    include_metadata: true
                    include_market: true
                    include_labels: true
                    include_metrics:
                      - 7d
      responses:
        '200':
          description: Profile for the specified token.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/SolanaDexTokenProfile'
        '400':
          $ref: '#/components/responses/BadRequest'
        '401':
          $ref: '#/components/responses/Unauthorized'
        '403':
          $ref: '#/components/responses/Forbidden'
        '429':
          $ref: '#/components/responses/TooManyRequests'
        '500':
          $ref: '#/components/responses/InternalServerError'
      security:
        - HttpApiKeyAuth: []
components:
  schemas:
    SolanaDexTokenProfilePayloadOptions:
      x-fern-type-name: SolanaDexTokenProfilePayloadOptions
      type: object
      description: >-
        Controls which optional sections are included in each returned token
        profile.
      properties:
        include_metadata:
          type: boolean
          description: When true, includes the `metadata` object in each returned profile.
        include_market:
          type: boolean
          description: >-
            When true, includes the `market` object (price, liquidity, supply)
            in each returned profile.
        include_labels:
          type: boolean
          description: When true, includes the `labels` array in each returned profile.
        include_metrics:
          type: array
          description: >-
            Time windows for which metrics should be included. Windows not
            listed are omitted from the response.
          items:
            $ref: '#/components/schemas/SolanaDexTokenProfileTimeWindowEnum'
    SolanaDexTokenProfile:
      x-fern-type-name: SolanaDexTokenProfile
      type: object
      properties:
        updated_at:
          type: string
          format: date-time
        synced_at:
          type: string
          format: date-time
        token_address:
          type: string
        labels:
          $ref: '#/components/schemas/SolanaDexTokenProfileLabels'
        matched_labels:
          type: object
          additionalProperties:
            type: array
            items:
              type: string
        dynamic_labels:
          $ref: '#/components/schemas/SolanaDexProfileDynamicLabels'
        metadata:
          $ref: '#/components/schemas/SolanaDexTokenProfileMetadata'
        market:
          $ref: '#/components/schemas/SolanaDexTokenProfileMarket'
        metrics:
          type: object
          additionalProperties:
            $ref: '#/components/schemas/SolanaDexTokenProfileMetrics'
    SolanaDexTokenProfileTimeWindowEnum:
      x-fern-type-name: SolanaDexTokenProfileTimeWindowEnum
      type: string
      enum:
        - 7d
        - 1d
        - 6h
        - 1h
        - 5m
        - 1m
      x-fern-enum:
        7d:
          name: Window7d
        1d:
          name: Window1d
        6h:
          name: Window6h
        1h:
          name: Window1h
        5m:
          name: Window5m
        1m:
          name: Window1m
    SolanaDexTokenProfileLabels:
      x-fern-type-name: SolanaDexTokenProfileLabels
      type: array
      items:
        $ref: '#/components/schemas/SolanaDexTokenProfileLabelEnum'
    SolanaDexProfileDynamicLabels:
      x-fern-type-name: SolanaDexProfileDynamicLabels
      type: array
      items:
        type: string
    SolanaDexTokenProfileMetadata:
      x-fern-type-name: SolanaDexTokenProfileMetadata
      type: object
      properties:
        last_trade_at:
          type: string
          format: date-time
        created_at:
          type: string
          format: date-time
        symbol:
          type: string
        name:
          type: string
        image:
          type: string
        verified:
          type: boolean
        creator_address:
          type: string
        twitter:
          type: string
        discord:
          type: string
        website:
          type: string
        telegram:
          type: string
    SolanaDexTokenProfileMarket:
      x-fern-type-name: SolanaDexTokenProfileMarket
      type: object
      properties:
        fdv:
          type: number
        market_cap:
          type: number
        price:
          type: number
        liquidity:
          type: number
        holders:
          type: integer
        total_supply:
          type: number
        circulating_supply:
          type: number
        top_holdings:
          type: number
        dev_holdings:
          type: number
    SolanaDexTokenProfileMetrics:
      x-fern-type-name: SolanaDexTokenProfileMetrics
      type: object
      properties:
        largest_trade_win:
          type: number
        largest_trade_loss:
          type: number
        avg_buy_size:
          type: number
        avg_sell_size:
          type: number
        avg_price:
          type: number
        avg_buy_price:
          type: number
        avg_sell_price:
          type: number
        avg_buy_mcap:
          type: number
        avg_sell_mcap:
          type: number
        avg_holding_duration:
          type: integer
        avg_trade_pnl:
          type: number
        avg_trade_roi:
          type: number
        avg_wallet_winrate:
          type: number
        avg_wallet_pnl:
          type: number
        avg_wallet_roi:
          type: number
        wallet_roi_distribution:
          type: object
          additionalProperties:
            type: integer
        makers_count:
          type: integer
        buyers_count:
          type: integer
        sellers_count:
          type: integer
        buy_count:
          type: integer
        sell_count:
          type: integer
        win_position_count:
          type: integer
        loss_position_count:
          type: integer
        win_pnl:
          type: number
        loss_pnl:
          type: number
        buy_volume:
          type: number
        sell_volume:
          type: number
        pnl:
          type: number
        trade_count:
          type: integer
        volume:
          type: number
        position_count:
          type: integer
        volume_weighted_winrate:
          type: number
        volume_weighted_roi:
          type: number
        wallet_hit_ratio:
          type: number
        profit_factor:
          type: number
        win_loss_size_ratio:
          type: number
        pnl_volume_ratio:
          type: number
        price_stability:
          type: number
        price_volatility:
          type: number
        roi_stability:
          type: number
        roi_volatility:
          type: number
        pnl_volatility:
          type: number
        pnl_stability:
          type: number
        sharpe_ratio:
          type: number
        sortino_ratio:
          type: number
        max_drawdown:
          type: number
    SolanaDexTokenProfileLabelEnum:
      x-fern-type-name: SolanaDexTokenProfileLabelEnum
      type: string
      enum:
        - trending
        - hot
        - new
        - popular
  responses:
    BadRequest:
      description: 'Bad request: Invalid request parameters'
      content:
        application/json:
          schema:
            type: object
            properties:
              error:
                type: string
                example: 'Bad request: Invalid request parameters'
    Unauthorized:
      description: 'Unauthorized: Invalid or missing API key'
      content:
        application/json:
          schema:
            type: object
            properties:
              error:
                type: string
                example: 'Unauthorized: Invalid or missing API key'
    Forbidden:
      description: 'Forbidden: Access denied for the current API plan'
      content:
        application/json:
          schema:
            type: object
            properties:
              error:
                type: string
                example: 'Forbidden: Access denied for the current API plan'
    TooManyRequests:
      description: 'Too many requests: Rate limit exceeded'
      content:
        application/json:
          schema:
            type: object
            properties:
              error:
                type: string
                example: 'Too many requests: Rate limit exceeded'
    InternalServerError:
      description: Internal server error
      content:
        application/json:
          schema:
            type: object
            properties:
              error:
                type: string
                example: Internal server error
  securitySchemes:
    HttpApiKeyAuth:
      type: apiKey
      name: x-api-key
      description: >-
        Your Prism API key. You can get one for free in the [Prism
        Dashboard](https://dashboard.prismapi.io).
      in: header

````